=== examples/datavisualization/CMakeLists.txt ===
if(TARGET Qt::Quick)
    qt_internal_add_example(qmlbars)
    qt_internal_add_example(qmlscatter)
    qt_internal_add_example(qmlsurface)
    qt_internal_add_example(qmlcustominput)
    qt_internal_add_example(qmllegend)
    qt_internal_add_example(qmlmultigraph)
    qt_internal_add_example(qml3doscilloscope)
    qt_internal_add_example(qmlsurfacelayers)
    qt_internal_add_example(qmlaxisformatter)
    qt_internal_add_example(qmlaxisdrag)
    qt_internal_add_example(qmlspectrogram)
endif()
if(NOT ANDROID AND NOT IOS AND NOT WINRT)
    qt_internal_add_example(bars)
    qt_internal_add_example(custominput)
    qt_internal_add_example(customproxy)
    qt_internal_add_example(itemmodel)
    qt_internal_add_example(scatter)
    qt_internal_add_example(surface)
    qt_internal_add_example(rotations)
    qt_internal_add_example(draggableaxes)
    qt_internal_add_example(customitems)
    qt_internal_add_example(texturesurface)
    qt_internal_add_example(volumetric)
endif()
