=== debian/changelog ===
qt6-datavis3d (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 00:07:29 +0200

qt6-datavis3d (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:37:47 +0100

qt6-datavis3d (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999634)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 23:01:38 +0100
