## qt6-datavis3d 6.3.1

=== debian/changelog ===
qt6-datavis3d (6.3.1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 16:05:07 -0300

qt6-datavis3d (6.3.1-3) unstable; urgency=medium

  * Team upload.
  * Rename libqt6datavisualization6-dev to qt6-datavisualization-dev, as it
    ships two libraries.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 25 Aug 2022 17:43:03 -0300

qt6-datavis3d (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:33 +0200

qt6-datavis3d (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 14:47:19 +0200

qt6-datavis3d (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Make libqt6datavisualization6-dev depend on
    libqt6datavisualizationqml6.

 -- Patrick Franz <deltaone@debian.org>  Mon, 20 Jun 2022 23:31:42 +0200

qt6-datavis3d (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * New binary package libqt6datavisualizationqml6.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 01:36:21 +0200

qt6-datavis3d (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 10:22:42 -0300

qt6-datavis3d (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:32 +0200
